import { BaseFilter, BaseQuery } from '@cubejs-backend/schema-compiler';
export declare class DatabricksQuery extends BaseQuery {
    newFilter(filter: any): BaseFilter;
    hllInit(sql: string): string;
    hllMerge(sql: string): string;
    hllCardinality(sql: string): string;
    hllCardinalityMerge(sql: string): string;
    countDistinctApprox(sql: string): string;
    convertTz(field: string): string;
    timeStampCast(value: string): string;
    dateTimeCast(value: string): string;
    subtractInterval(date: string, interval: string): string;
    addInterval(date: string, interval: string): string;
    timeGroupedColumn(granularity: string, dimension: string): string;
    escapeColumnName(name: string): string;
    getFieldIndex(id: string): any;
    unixTimestampSql(): string;
    orderHashToString(hash: any): string | null;
    defaultRefreshKeyRenewalThreshold(): number;
    sqlTemplates(): any;
}
//# sourceMappingURL=DatabricksQuery.d.ts.map